package vt.cs.widgets;

import java.awt.*;


public class  ColorRectangle extends Rectangle implements RadarViewPort {
  private Color color = null;
  private Point cursorPosition = null;

  public ColorRectangle(Rectangle rectangle, Color color) {
    this(rectangle.x, rectangle.y, rectangle.width, rectangle.height, color);
  }

  public ColorRectangle(int x, int y, int width, int height, Color color) {
    super(x, y, width, height);
    this.color = color;
  }

  public Color getColor() {
    return color;
  }
  public void setColor(Color color) {
    this.color = color;
  }
  public Point getCursorPosition() {
    return cursorPosition;
  }
  public void setCursorPosition(int x, int y) {
    setCursorPosition(new Point(x, y));
  }
  public void setCursorPosition(Point cursorPosition) {
    this.cursorPosition = cursorPosition;
  }
  public Rectangle getBounds() {
    return this;
  }
  public String getLabel() {
    return null;
  }
}
