//
//	WhiteBoardApplet.java
//
//	Copyright 1996,	Black Diamond Software.	 All rights reserved.
//
//	Written	by: Jason Beaver and Tyler Gingrich
//

package vt.cs.virtSchool.labapplets.WhiteBoard;

import netscape.application.*;
import netscape.util.*;

public class WhiteBoardApplet extends	Application {
	ToolController toolController;
	InspectorController inspectorController;
	DrawController drawController;

	ExternalWindow  win         = null;
	RootView		winRoot		= null;
	Size			size		= null;

	String			roomURL		= null;

	public void init() {
		super.init();

/*
		win = new ExternalWindow();
        size = win.windowSizeForContentSize(600, 600);
        win.sizeTo(size.width, size.height);
		winRoot = win.rootView();
*/
		winRoot = mainRootView();

		roomURL = parameterNamed("RoomURL");

		// Create the shared controllers...
		toolController = new ToolController(winRoot);
		inspectorController = new InspectorController(winRoot);

		// Create a draw controller...
		// This	could be called	multiple times to
		// create multiple draw	documents.
		drawController = new DrawController(toolController,
			inspectorController, winRoot, roomURL);

/*
		win.show();
*/
	}

}
